emacs-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Emacs-diffs] master c532a80: Try to work around intermittent autogen fa


From: Glenn Morris
Subject: [Emacs-diffs] master c532a80: Try to work around intermittent autogen failure on hydra.nixos.org
Date: Fri, 2 Feb 2018 20:42:35 -0500 (EST)

branch: master
commit c532a8015e932fa4bee1ed68ce01b3c0b802d09c
Author: Glenn Morris <address@hidden>
Commit: Glenn Morris <address@hidden>

    Try to work around intermittent autogen failure on hydra.nixos.org
    
    * autogen.sh (check_version): Try to handle odd systems where
    /bin/sh does not define the "command" builtin.
---
 autogen.sh | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/autogen.sh b/autogen.sh
index acebc23..2e6b62d 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -82,7 +82,14 @@ check_version ()
         printf '%s' "(using $uprog0=$uprog) "
     fi
 
-    command -v $uprog > /dev/null || return 1
+    ## /bin/sh should always define the "command" builtin, but for
+    ## some odd reason sometimes it does not on hydra.nixos.org.
+    ## /bin/sh = "BusyBox v1.27.2", "built-in shell (ash)". ?
+    if command -v command > /dev/null; then
+        command -v $uprog > /dev/null || return 1
+    else
+        $uprog --version > /dev/null 2>&1 || return 1
+    fi
     have_version=`get_version $uprog` || return 4
 
     have_maj=`major_version $have_version`



reply via email to

[Prev in Thread] Current Thread [Next in Thread]